## org.eclipse.uml2.uml.resource
Interface UML212UMLResource

All Superinterfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.resource.Resource, UMLResource, org.eclipse.emf.ecore.xmi.XMIResource, org.eclipse.emf.ecore.xmi.XMLResource

    public interface UML212UMLResource

extends UMLResource

UML resource required for model migration. OMG: UML 2.1.x and UML 2.2 API: UML2 2.2.x and UML2 3.0.x

Since:
  3.0

Nested Class Summary
`static interface` `UML212UMLResource.Factory`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLResource
`org.eclipse.emf.ecore.xmi.XMLResource.ElementHandler, org.eclipse.emf.ecore.xmi.XMLResource.ResourceEntityHandler, org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler, org.eclipse.emf.ecore.xmi.XMLResource.URIHandler, org.eclipse.emf.ecore.xmi.XMLResource.XMLInfo, org.eclipse.emf.ecore.xmi.XMLResource.XMLMap`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource
`org.eclipse.emf.ecore.resource.Resource.Diagnostic, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.resource.Resource.IOWrappedException`

Field Summary
`static java.lang.String` `UML_METAMODEL_NS_URI`

Fields inherited from interface org.eclipse.uml2.uml.resource.UMLResource

`DEFAULT_ENCODING, ECORE_METAMODEL_URI, ECORE_PRIMITIVE_TYPES_LIBRARY_URI, ECORE_PROFILE_NS_URI, ECORE_PROFILE_URI, FILE_EXTENSION, JAVA_PRIMITIVE_TYPES_LIBRARY_URI, LIBRARIES_PATHMAP, LIBRARY_FILE_EXTENSION, METAMODEL_FILE_EXTENSION, METAMODELS_PATHMAP, PROFILE_FILE_EXTENSION, PROFILES_PATHMAP, STANDARD_PROFILE_NS_URI, STANDARD_PROFILE_URI, UML_2_0_0_CONTENT_TYPE_IDENTIFIER, UML_2_1_0_CONTENT_TYPE_IDENTIFIER, UML_CONTENT_TYPE_IDENTIFIER, UML_METAMODEL_URI, UML_PRIMITIVE_TYPES_LIBRARY_URI, XML_PRIMITIVE_TYPES_LIBRARY_URI`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMIResource
`OPTION_USE_XMI_TYPE, VERSION_NAME, VERSION_VALUE, XMI_ID, XMI_NAMESPACE_PREFIX, XMI_NS, XMI_TAG_NAME, XMI_URI`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

`HREF, NIL, NO_NAMESPACE_SCHEMA_LOCATION, OPTION_ANY_SIMPLE_TYPE, OPTION_ANY_TYPE, OPTION_CONFIGURATION_CACHE, OPTION_DECLARE_XML, OPTION_DEFER_ATTACHMENT, OPTION_DEFER_IDREF_RESOLUTION, OPTION_DISABLE_NOTIFY, OPTION_DOM_USE_NAMESPACES_IN_SCOPE, OPTION_ELEMENT_HANDLER, OPTION_ENCODING, OPTION_ESCAPE_USING_CDATA, OPTION_EXTENDED_META_DATA, OPTION_FLUSH_THRESHOLD, OPTION_FORMATTED, OPTION_KEEP_DEFAULT_CONTENT, OPTION_LAX_FEATURE_PROCESSING, OPTION_LAX_WILDCARD_PROCESSING, OPTION_LINE_WIDTH, OPTION_PARSER_FEATURES, OPTION_PARSER_PROPERTIES, OPTION_PROCESS_DANGLING_HREF, OPTION_PROCESS_DANGLING_HREF_DISCARD, OPTION_PROCESS_DANGLING_HREF_RECORD, OPTION_PROCESS_DANGLING_HREF_THROW, OPTION_RECORD_ANY_TYPE_NAMESPACE_DECLARATIONS, OPTION_RECORD_UNKNOWN_FEATURE, OPTION_RESOURCE_ENTITY_HANDLER, OPTION_RESOURCE_HANDLER, OPTION_ROOT_OBJECTS, OPTION_SAVE_DOCTYPE, OPTION_SAVE_TYPE_INFORMATION, OPTION_SCHEMA_LOCATION, OPTION_SCHEMA_LOCATION_IMPLEMENTATION, OPTION_SKIP_ESCAPE, OPTION_SKIP_ESCAPE_URI, OPTION_SUPPRESS_DOCUMENT_ROOT, OPTION_URI_HANDLER, OPTION_USE_CACHED_LOOKUP_TABLE, OPTION_USE_DEPRECATED_METHODS, OPTION_USE_ENCODED_ATTRIBUTE_STYLE, OPTION_USE_FILE_BUFFER, OPTION_USE_LEXICAL_HANDLER, OPTION_USE_PARSER_POOL, OPTION_USE_XML_NAME_TO_FEATURE_MAP, OPTION_XML_MAP, OPTION_XML_OPTIONS, OPTION_XML_VERSION, SCHEMA_LOCATION, TYPE, XML_NS, XML_SCHEMA_URI, XSI_NS, XSI_URI`

Fields inherited from interface org.eclipse.emf.ecore.resource.Resource
`OPTION_CIPHER, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.xmi.XMIResource
`getXMINamespace, getXMIVersion, setXMINamespace, setXMIVersion`

Methods inherited from interface org.eclipse.emf.ecore.xmi.XMLResource
`getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectToExtensionMap, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getXMLVersion, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, useZip`

Methods inherited from interface org.eclipse.emf.ecore.resource.Resource
`delete, getAllContents, getContents, getEObject, getErrors, getResourceSet, getTimeStamp, getURI, getURIFragment, getWarnings, isLoaded, isModified, isTrackingModification, load, load, save, save, setModified, setTimeStamp, setTrackingModification, setURI, unload`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### UML_METAMODEL_NS_URI

    static final java.lang.String UML_METAMODEL_NS_URI

See Also:
  Constant Field Values

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.